FROM python:alpine3.7
ADD ./crypto-api /opt/crypto-api
COPY requirements.txt /opt/
RUN apk add musl-dev gcc libffi-dev openssl-dev && \ 
    adduser -s /bin/bash -D -g "" svc-user && chown -R svc-user. /opt
WORKDIR /opt/crypto-api/
RUN pip install -r /opt/requirements.txt
EXPOSE 5000
USER svc-user
ENTRYPOINT [ "python" ]
CMD [ "app.py" ]

